import java.awt.GridLayout;

import javax.swing.JMenuBar;
import javax.swing.JPanel;


/**
 * Creates a Paint window / program that allows you to draw and fill
 * shapes with colors.
 *
 * @author Annmarie Stanley and Hannah Chadd.
 *         Started work March 27, 2008
 */
public class Paint {

	/**
	 * Start here.
	 *
	 * @param args
	 */
	public static void main(String[] args) {
		
		PaintFrame frame = new PaintFrame();
		
		JPanel leftPanel = new JPanel();
		leftPanel.setLayout(new GridLayout(2,1));
		leftPanel.add(new ColorPanel());
		leftPanel.add(new DrawingPanel());
		
		CanvasPanel cPan = new CanvasPanel();
		cPan.addMouseListener(cPan);
		cPan.addMouseMotionListener(cPan);
		
		JMenuBar menu = new Menu(cPan);
		frame.setJMenuBar(menu);
		frame.add(leftPanel);
		frame.add(cPan);
		

		frame.setVisible(true);
	}


}
